/* 
 * @Program that Modify Text by Replacement
 * ModifyingText.java 
 * Author:-RoseIndia Team
 * Date:-10-Jun-2008
 */

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

public class ModifyingText {

    public static void main(String[] args) throws Exception {
        DocumentBuilderFactory builderFactory = DocumentBuilderFactory.newInstance();
        builderFactory.setValidating(false);

        Document doc = builderFactory.newDocumentBuilder().parse(new File("Document2.xml"));
        new ModifyingText().modify(doc);

    }

    public void modify(Document doc) {

        Element root = doc.getDocumentElement();
        Node node = root.getFirstChild().getFirstChild();
        Text text = (Text) node.getFirstChild();
        System.out.println("Text before Replacement is: " + text.getData());
        // Modify Text by Replacement
        text.setData("Girish Tewari");
        System.out.println("Text after Replacement is: " + text.getData());

    }
}
